<HTML>
<!--  
  ProjectTrak Task Information Report 

	Author:	Derek C. Ashmore
-->

<%@ page import="com.dvt.app.project.dto.*,
                 java.text.SimpleDateFormat;"
%>

<jsp:useBean id="projectName" scope="session" 
			 class="java.lang.String" />
<jsp:useBean id="startDate" scope="session" 
			 class="java.lang.String" />
<jsp:useBean id="endDate"   scope="session" 
			 class="java.lang.String" />
<%
  ProjectTaskWithProjectionDTO[] task = 
  	(ProjectTaskWithProjectionDTO[]) 
  		session.getAttribute("taskList");
%>

<HEAD>
<TITLE><%= projectName %> Task Information</TITLE>
<META http-equiv="Content-Type" 
	  content="text/html; charset=windows-1252">
</HEAD>

<BODY>
<H1>ProjectTrak</H1>
<P>
<BR>Project Start Date: <%= startDate %>
<BR>Project Finish Date: <%= endDate %>
<P>
<H2>Assignments</H2>
<TABLE BORDER>
  <TR BGCOLOR="#DFDFDF">
    <TH NOWRAP>Task ID</TH>
    <TH NOWRAP ALIGN=left>Task Name</TH>
    <TH NOWRAP ALIGN=left>Resource Name</TH>
    <TH NOWRAP>Work</TH>
    <TH NOWRAP>Start</TH>
    <TH NOWRAP>Finish</TH>
    <TH NOWRAP>% Work Complete</TH>
  </TR>

  <%
      SimpleDateFormat format = 
      	new SimpleDateFormat("MM/dd/yy");
      for (int i = 0 ; i < task.length ; i++)
      {
  %>

    <TR BGCOLOR="#FFFFFF" ALIGN=right>
      <TD ALIGN=center><%= task[i].getTaskId() %></TD>
      <TD ALIGN=left><%= task[i].getTaskName() %></TD>
      <TD ALIGN=left>
<%= task[i].getAssignedResource().getResourceName() %>
      </TD>
      <TD NOWRAP>
        <%= task[i].getEstimateInHours() %> hrs
      </TD>
      <TD NOWRAP>
 <%= format.format(task[i].getProjectedStartDate()) %>
      </TD>
      <TD NOWRAP>
 <%= format.format(task[i].getProjectedEndDate()) %>
      </TD>
      <TD>0%</TD>
    </TR>

  <%
      }
  %>

</TABLE>
</BODY>
</HTML>
